Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm
Class ObjectOptimisticLockingFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.ConcurrencyFailureException
                                  org.springframework.dao.OptimisticLockingFailureException
                                      org.springframework.orm.ObjectOptimisticLockingFailureException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HibernateOptimisticLockingFailureException, HibernateOptimisticLockingFailureException, JdoOptimisticLockingFailureException, JpaOptimisticLockingFailureException

    public class ObjectOptimisticLockingFailureException

extends OptimisticLockingFailureException

Exception thrown on an optimistic locking violation for a mapped object. Provides information about the persistent class and the identifier.

Since:
  13.10.2003
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`ObjectOptimisticLockingFailureException(Class persistentClass, Object identifier)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(Class persistentClass, Object identifier, String msg, Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.
`ObjectOptimisticLockingFailureException(Class persistentClass, Object identifier, Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(String persistentClassName, Object identifier)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(String persistentClassName, Object identifier, String msg, Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.
`ObjectOptimisticLockingFailureException(String persistentClassName, Object identifier, Throwable cause)` Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.
`ObjectOptimisticLockingFailureException(String msg, Throwable cause)` Create a general ObjectOptimisticLockingFailureException with the given message, without any information on the affected object.

Method Summary
`Object` | `getIdentifier()` Return the identifier of the object for which the locking failed.
`Class` | `getPersistentClass()` Return the persistent class of the object for which the locking failed.
`String` | `getPersistentClassName()` Return the name of the persistent class of the object for which the locking failed.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(String msg,
                                                   Throwable cause)

  Create a general ObjectOptimisticLockingFailureException with the given message, without any information on the affected object.

  Parameters:
    `msg` - the detail message
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(Class persistentClass,
                                                   Object identifier)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClass` - the persistent class
    `identifier` - the ID of the object for which the locking failed

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(Class persistentClass,
                                                   Object identifier,
                                                   Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClass` - the persistent class
    `identifier` - the ID of the object for which the locking failed
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(Class persistentClass,
                                                   Object identifier,
                                                   String msg,
                                                   Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.

  Parameters:
    `persistentClass` - the persistent class
    `identifier` - the ID of the object for which the locking failed
    `msg` - the detail message
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(String persistentClassName,
                                                   Object identifier)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClassName` - the name of the persistent class
    `identifier` - the ID of the object for which the locking failed

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(String persistentClassName,
                                                   Object identifier,
                                                   Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the default "optimistic locking failed" message.

  Parameters:
    `persistentClassName` - the name of the persistent class
    `identifier` - the ID of the object for which the locking failed
    `cause` - the source exception

### ObjectOptimisticLockingFailureException

    public ObjectOptimisticLockingFailureException(String persistentClassName,
                                                   Object identifier,
                                                   String msg,
                                                   Throwable cause)

  Create a new ObjectOptimisticLockingFailureException for the given object, with the given explicit message.

  Parameters:
    `persistentClassName` - the name of the persistent class
    `identifier` - the ID of the object for which the locking failed
    `msg` - the detail message
    `cause` - the source exception

Method Detail

### getPersistentClass

    public Class getPersistentClass()

  Return the persistent class of the object for which the locking failed. If no Class was specified, this method returns null.

### getPersistentClassName

    public String getPersistentClassName()

  Return the name of the persistent class of the object for which the locking failed. Will work for both Class objects and String names.

### getIdentifier

    public Object getIdentifier()

  Return the identifier of the object for which the locking failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD